Bug 204675 - x11/rofi: Update to 0.15.11
Summary: x11/rofi: Update to 0.15.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2015-11-19 11:11 UTC by nomoo
Modified: 2015-12-13 01:16 UTC (History)
1 user (show)

See Also:


Attachments
update to 0.15.11 (1.67 KB, text/plain)
2015-11-19 11:11 UTC, nomoo
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nomoo 2015-11-19 11:11:49 UTC
Created attachment 163325 [details]
update to 0.15.11

Update to 0.15.11
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-19 12:56:14 UTC
Comment on attachment 163325 [details]
update to 0.15.11

Reporter is maintainer
Comment 2 Dmitry Marakasov freebsd_committer 2015-12-02 19:18:54 UTC
Please resubmit patch with correct line endings:

> unified diff output, ASCII text, with CRLF line terminators
                                        ^^^^
Comment 3 commit-hook freebsd_committer 2015-12-13 01:15:03 UTC
A commit references this bug:

Author: junovitch
Date: Sun Dec 13 01:14:38 UTC 2015
New revision: 403648
URL: https://svnweb.freebsd.org/changeset/ports/403648

Log:
  x11/rofi: update 0.15.7 -> 0.15.11

  - Update PORTVERSION, PLIST_FILES, SHEBANG_FILES, and distinfo 0.15.11
  - LIB_DEPENDS: Add x11/startup-notification
  - USES: Sort and add shebangfix
  - Add I3 support option

  PR:		204675
  Submitted by:	nomoo@nomoo.ru (maintainer) (with several changes)

Changes:
  head/x11/rofi/Makefile
  head/x11/rofi/distinfo
Comment 4 Jason Unovitch freebsd_committer 2015-12-13 01:16:26 UTC
This patch had mangled whitespace and didn't apply.  I see this:
-PORTVERSION=<space><space><space>0.15.7
+PORTVERSION=<space><space><space>0.15.11

... instead of this:
-PORTVERSION=<tab>0.15.7
+PORTVERSION=<tab>0.15.11

Also, in Poudriere:
====> Running Q/A tests (stage-qa)
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'bin/rofi-sensible-terminal'

Also, the patch gratuitously reorganized various variables.  This portion was not committed and the only the required changes were committed.